RAFIND2(1)

NAME
rafind2 - advanced command-line byte pattern search in files

SYNOPSIS
rafind2 [-cijzZXLnrhqv] [-b size] [-f from] [-F file] [-t to] [-[m|s|e] str] [-V s:val] [-x hex] file|dir

DESCRIPTION
rafind2 is a program to find byte patterns in files

The options are:

-c  Disable colorful output (for -X and such)

-z  Search for zero-terminated strings

-j  Output in JSON format

-a align
    Only accept aligned hits

-s str
    Search for a specific string

-S str
    Search for a specific wide string

-V size:value
    Search for a little-endian value of given size. For example -V 4:123

-e regex
    Search for regular expression string matches

-x hex
    Search for an hexpair string

-i  Identify file type (like file, uses r2 -qcpm)

-L  List available IO plugins

-m  Carve for known file types using the r_magic signatures

-M mask
    Set binary mask to be applied

-f from
    Specify the source address

-F file
    Read the keyword to search from the contents of the given file

-t to
    Specify the target address

-X  Display hexdump of search results

-Z  Display zero-terminated strings results

-n  Do not stop the search when a read error occurs

-r  Show output in radare commands

-b size
    Define block size

-q  Quiet mode - do not show headings (filenames) above matching contents (default for searching a single file)

-h  Show help message

-v  Print version and exit

SEE ALSO

radare2(1)

AUTHORS

pancake <pancake@nopcode.org>